// Code generated by MockGen. DO NOT EDIT.
// Source: ./quotes_client.go

// Package mock is a generated GoMock package.
package mock

import (
	context "context"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	entity "gitlab.com/golight/example-service/modules/quotes/entity"
)

// MockRPCQuoteser is a mock of RPCQuoteser interface.
type MockRPCQuoteser struct {
	ctrl     *gomock.Controller
	recorder *MockRPCQuoteserMockRecorder
}

// MockRPCQuoteserMockRecorder is the mock recorder for MockRPCQuoteser.
type MockRPCQuoteserMockRecorder struct {
	mock *MockRPCQuoteser
}

// NewMockRPCQuoteser creates a new mock instance.
func NewMockRPCQuoteser(ctrl *gomock.Controller) *MockRPCQuoteser {
	mock := &MockRPCQuoteser{ctrl: ctrl}
	mock.recorder = &MockRPCQuoteserMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockRPCQuoteser) EXPECT() *MockRPCQuoteserMockRecorder {
	return m.recorder
}

// GetRandomQuote mocks base method.
func (m *MockRPCQuoteser) GetRandomQuote(ctx context.Context) (entity.QuoteDTO, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetRandomQuote", ctx)
	ret0, _ := ret[0].(entity.QuoteDTO)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetRandomQuote indicates an expected call of GetRandomQuote.
func (mr *MockRPCQuoteserMockRecorder) GetRandomQuote(ctx interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetRandomQuote", reflect.TypeOf((*MockRPCQuoteser)(nil).GetRandomQuote), ctx)
}

// HealthCheck mocks base method.
func (m *MockRPCQuoteser) HealthCheck(ctx context.Context) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "HealthCheck", ctx)
	ret0, _ := ret[0].(error)
	return ret0
}

// HealthCheck indicates an expected call of HealthCheck.
func (mr *MockRPCQuoteserMockRecorder) HealthCheck(ctx interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "HealthCheck", reflect.TypeOf((*MockRPCQuoteser)(nil).HealthCheck), ctx)
}
